#include<bits/stdc++.h>
using namespace std;

int main()
{
	int n; cin >> n;
	int a[100001];
	for(int i=1; i<=n; i++)
    cin >> a[i];
	sort(a+1, a+n+1);
	int ans = a[2]-a[1];
	for(int i=2; i<n; i++)
    ans = __gcd(a[i+1]-a[i], ans);
	cout << (a[n]-a[1])/ans + 1 - n << '\n';
	return 0;
}
